import { AfterContentInit, EventEmitter, QueryList } from '@angular/core';
import { ScrollSpyItemComponent } from './scroll-spy-item/scroll-spy-item.component';
import { ScrollSpyModel } from './scroll-spy.model';
export declare class ScrollSpyComponent implements ScrollSpyModel, AfterContentInit {
    static readonly defaultProps: ScrollSpyModel;
    items: QueryList<ScrollSpyItemComponent>;
    onChangeEmitter: EventEmitter<string>;
    className: string;
    itemId: string;
    constructor();
    ngAfterContentInit(): void;
    onScroll(): void;
    validateScroll(): void;
    getCurrentItem(): ScrollSpyItemComponent;
}
